"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_emotion_1 = require("react-emotion");
var OuterDiv = react_emotion_1.default("div")(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  overflow: hidden;\n  background-color: #222;\n  box-sizing: border-box;\n"], ["\n  overflow: hidden;\n  background-color: #222;\n  box-sizing: border-box;\n"])));
var TabButton = /** @class */ (function (_super) {
    __extends(TabButton, _super);
    function TabButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleOnClick = function () {
            _this.props.onTabButtonClicked(_this.props.node.id);
        };
        return _this;
    }
    TabButton.prototype.render = function () {
        var _this = this;
        var name = this.props.node.name;
        return (React.createElement("div", { ref: function (ref) { return (_this.selfRef = ref === null ? undefined : ref); }, onClick: this.handleOnClick, style: {
                visibility: this.props.show ? "visible" : "hidden",
                height: this.props.height,
                cursor: "pointer",
                padding: "2px 8px 3px 8px",
                margin: "2px",
                float: "left",
                verticalAlign: "top",
                boxSizing: "border-box",
                color: this.props.selected ? "#ddd" : "gray",
                backgroundColor: this.props.selected ? "#222" : undefined
            } },
            React.createElement("div", { ref: function (ref) { return (_this.contentRef = ref === null ? undefined : ref); }, style: { float: "left", display: "inline-block" } }, name)));
    };
    return TabButton;
}(React.Component));
exports.TabButton = TabButton;
var templateObject_1;
//# sourceMappingURL=TabButton.js.map