"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_emotion_1 = require("react-emotion");
var Rect_1 = require("./Rect");
var TabButton_1 = require("./TabButton");
var Container = react_emotion_1.default("div")(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  overflow: hidden;\n  background-color: #222;\n  box-sizing: border-box;\n"], ["\n  overflow: hidden;\n  background-color: #222;\n  box-sizing: border-box;\n"])));
var OuterHeader = react_emotion_1.default("div")(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  background-color: black;\n  position: absolute;\n  left: 0;\n  right: 0;\n  overflow: hidden;\n  background-image: ", ";\n"], ["\n  background-color: black;\n  position: absolute;\n  left: 0;\n  right: 0;\n  overflow: hidden;\n  background-image: ",
    ";\n"])), function (props) {
    return props.selected ? "linear-gradient(#111, #444)" : undefined;
});
var InnerHeader = react_emotion_1.default("div")(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  left: 0;\n  top: 0;\n  bottom: 0;\n  width: 10000px;\n"], ["\n  position: absolute;\n  left: 0;\n  top: 0;\n  bottom: 0;\n  width: 10000px;\n"])));
var TabSet = /** @class */ (function (_super) {
    __extends(TabSet, _super);
    function TabSet() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleOnTabButtonClicked = function (id) {
            _this.props.onTabButtonClicked(id);
        };
        return _this;
    }
    TabSet.prototype.render = function () {
        var _this = this;
        var style = Rect_1.toStyle(this.props.rect);
        var tabStripHeight = 30;
        var tabs = this.props.children.map(function (tabNode, i) {
            var isSelected = _this.props.selected === i;
            return (React.createElement(TabButton_1.TabButton, { key: tabNode.name + "-" + i, node: tabNode, height: tabStripHeight, show: true, selected: isSelected, onTabButtonClicked: _this.handleOnTabButtonClicked }));
        });
        return (React.createElement(Container, { style: style },
            React.createElement(OuterHeader, { selected: this.props.isActive || false, style: { height: tabStripHeight + "px" } },
                React.createElement(InnerHeader, null, tabs))));
    };
    return TabSet;
}(React.Component));
exports.TabSet = TabSet;
var templateObject_1, templateObject_2, templateObject_3;
//# sourceMappingURL=TabSet.js.map