declare class DragDrop {
    static instance: DragDrop;
    /** @hidden @internal */
    private _fDblClick;
    /** @hidden @internal */
    private _fClick;
    /** @hidden @internal */
    private _fDragEnd;
    /** @hidden @internal */
    private _fDragMove;
    /** @hidden @internal */
    private _fDragStart;
    /** @hidden @internal */
    private _fDragCancel;
    /** @hidden @internal */
    private _glass;
    /** @hidden @internal */
    private _manualGlassManagement;
    /** @hidden @internal */
    private _lastClick;
    /** @hidden @internal */
    private _clickX;
    /** @hidden @internal */
    private _clickY;
    /** @hidden @internal */
    private _startX;
    /** @hidden @internal */
    private _startY;
    /** @hidden @internal */
    private _glassShowing;
    /** @hidden @internal */
    private _dragging;
    /** @hidden @internal */
    private constructor();
    addGlass(fCancel: (() => void) | undefined): void;
    hideGlass(): void;
    /** @hidden @internal */
    private _onKeyPress;
    /** @hidden @internal */
    private _getLocationEvent;
    /** @hidden @internal */
    private _getLocationEventEnd;
    /** @hidden @internal */
    private _stopPropagation;
    /** @hidden @internal */
    private _preventDefault;
    startDrag(event: Event | undefined, fDragStart: ((pos: {
        clientX: number;
        clientY: number;
    }) => boolean) | undefined, fDragMove: ((event: Event) => void) | undefined, fDragEnd: ((event: Event) => void) | undefined, fDragCancel?: (() => void) | undefined, fClick?: ((event: Event) => void) | undefined, fDblClick?: ((event: Event) => void) | undefined): void;
    /** @hidden @internal */
    private _onMouseMove;
    /** @hidden @internal */
    private _onMouseUp;
    isDragging(): boolean;
    toString(): string;
}
export default DragDrop;
