import * as React from "react";
/** @hidden @internal */
export interface IPopupMenuProps {
    element: Element;
    items: Array<{
        index: number;
        name: string;
    }>;
    onHide: () => void;
    onSelect: (item: {
        index: number;
        name: string;
    }) => void;
}
/** @hidden @internal */
declare class PopupMenu extends React.Component<IPopupMenuProps, any> {
    items: Array<{
        index: number;
        name: string;
    }>;
    hidden: boolean;
    elm?: Element;
    constructor(props: IPopupMenuProps);
    static show(triggerElement: Element, items: Array<{
        index: number;
        name: string;
    }>, onSelect: (item: {
        index: number;
        name: string;
    }) => void): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onDocMouseUp(event: Event): void;
    hide(): void;
    onItemClick(item: {
        index: number;
        name: string;
    }, event: Event): void;
    render(): JSX.Element;
}
/** @hidden @internal */
export default PopupMenu;
