import * as React from "react";
import { Model, TabSetNode } from "./Model";
import { Rect } from "./Rect";
interface Props {
    model: Model;
}
interface State {
    rect: Rect;
    model: Model;
    activeTabSet: TabSetNode | undefined;
}
export declare class Layout extends React.Component<Props, State> {
    private ref;
    constructor(props: Props);
    componentDidMount: () => void;
    render(): JSX.Element;
    renderChildren: () => JSX.Element[];
    handleTabButtonClicked: (id: string) => void;
}
export {};
