"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var src_1 = require("../src");
var json = {
    global: {},
    layout: {
        type: "row",
        weight: 100,
        children: [
            {
                type: "tabset",
                weight: 50,
                selected: 0,
                children: [
                    {
                        type: "tab",
                        name: "Things to try",
                        component: "text",
                        config: {
                            text: "<ul><li>drag tabs</li><li>drag splitters</li><li>double click on tab to rename</li><li>double click on tabstrip to maximize</li><li>use the Add button to add another tab</li></ul>"
                        }
                    }
                ]
            },
            {
                type: "tabset",
                weight: 50,
                selected: 0,
                children: [
                    {
                        type: "tab",
                        name: "two",
                        component: "text",
                        config: { text: "" }
                    }
                ]
            },
            {
                type: "tabset",
                weight: 50,
                selected: 0,
                children: [
                    {
                        type: "tab",
                        name: "three",
                        component: "text",
                        config: { text: "" }
                    }
                ]
            }
        ]
    }
};
var Main = /** @class */ (function (_super) {
    __extends(Main, _super);
    function Main() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.layoutRef = null;
        _this.state = { model: src_1.Model.fromJson(json) };
        _this.factory = function (node) {
            var component = node.getComponent();
            if (component === "text") {
                return React.createElement("div", { dangerouslySetInnerHTML: { __html: node.getConfig().text } });
            }
        };
        _this.onAdd = function (event) {
            _this.layoutRef &&
                _this.layoutRef.addTabWithDragAndDropIndirect("Add panel<br>(Drag to location)", {
                    component: "text",
                    name: "added",
                    config: { text: "i was added" }
                }, function () {
                    /* do nothing */
                });
        };
        return _this;
    }
    Main.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "outer" },
            React.createElement("button", { onClick: this.onAdd }, "Add"),
            React.createElement("div", { className: "inner" },
                React.createElement(src_1.Layout, { ref: function (ref) {
                        _this.layoutRef = ref;
                    }, model: this.state.model, factory: this.factory }))));
    };
    return Main;
}(React.Component));
ReactDOM.render(React.createElement(Main, null), document.getElementById("container"));
//# sourceMappingURL=index.js.map