/** @hidden @internal */
declare class Attribute {
    static ENUM: string;
    static INT: string;
    static NUMBER: string;
    static STRING: string;
    static BOOLEAN: string;
    static ID: string;
    static JSON: string;
    name: string;
    modelName?: string;
    defaultValue: any;
    alwaysWriteJson?: boolean;
    type?: string;
    values: Array<any>;
    from: number;
    to: number;
    constructor(name: string, modelName: string | undefined, defaultValue: any, alwaysWriteJson?: boolean);
    setType(value: string): this;
    setValues(...args: Array<any>): this;
    setFrom(value: number): this;
    setTo(value: number): this;
}
/** @hidden @internal */
export default Attribute;
