import Attribute from "./Attribute";
import { JSMap } from "./Types";
/** @hidden @internal */
declare class AttributeDefinitions {
    attributes: Array<Attribute>;
    nameToAttribute: JSMap<Attribute>;
    constructor();
    addWithAll(name: string, modelName: string | undefined, defaultValue: any, alwaysWriteJson?: boolean): Attribute;
    addInherited(name: string, modelName: string): Attribute;
    add(name: string, defaultValue: any, alwaysWriteJson?: boolean): Attribute;
    getAttributes(): Attribute[];
    getModelName(name: string): string | undefined;
    toJson(jsonObj: any, obj: any): void;
    fromJson(jsonObj: any, obj: any): void;
    update(jsonObj: any, obj: any): void;
    setDefaults(obj: any): void;
}
/** @hidden @internal */
export default AttributeDefinitions;
