import Node from "./Node";
import Model from "./Model";
import AttributeDefinitions from "../AttributeDefinitions";
import Orientation from "../Orientation";
declare class SplitterNode extends Node {
    static readonly TYPE = "splitter";
    constructor(model: Model);
    getWidth(): number;
    getHeight(): number;
    getWeight(): number;
    _setWeight(value: number): void;
    _getPrefSize(orientation: Orientation): number;
    _updateAttrs(json: any): void;
    _getAttributeDefinitions(): AttributeDefinitions;
    _toJson(): any;
}
export default SplitterNode;
