import * as React from "react";
import TabNode from "../model/TabNode";
import Layout from "./Layout";
/** @hidden @internal */
export interface IBorderButtonProps {
    layout: Layout;
    node: TabNode;
    selected: boolean;
    border: string;
}
/** @hidden @internal */
export declare class BorderButton extends React.Component<IBorderButtonProps, any> {
    selfRef?: HTMLDivElement;
    contentsRef?: HTMLDivElement;
    constructor(props: IBorderButtonProps);
    onMouseDown(event: Event): void;
    onClick(event: React.MouseEvent<HTMLDivElement>): void;
    onClose(event: React.MouseEvent<HTMLDivElement>): void;
    onCloseMouseDown(event: React.MouseEvent<HTMLDivElement>): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    updateRect(): void;
    render(): JSX.Element;
}
