import * as React from "react";
import SplitterNode from "../model/SplitterNode";
import Layout from "./Layout";
export interface ISplitterProps {
    layout: Layout;
    node: SplitterNode;
}
export declare class Splitter extends React.Component<ISplitterProps, any> {
    pBounds?: Array<number>;
    outlineDiv?: HTMLDivElement;
    onMouseDown(event: Event): void;
    onDragCancel(wasDragging: boolean): void;
    onDragStart(event: React.MouseEvent<HTMLDivElement>): boolean;
    onDragMove(event: React.MouseEvent<HTMLDivElement>): void;
    onDragEnd(event: React.MouseEvent<HTMLDivElement>, didDrag: boolean): void;
    getBoundPosition(p: number): number;
    render(): JSX.Element;
}
