import * as React from "react";
import TabNode from "../model/TabNode";
import Layout from "./Layout";
/** @hidden @internal */
export interface ITabProps {
    layout: Layout;
    selected: boolean;
    node: TabNode;
    factory: (node: TabNode) => React.ReactNode;
}
/** @hidden @internal */
export declare class Tab extends React.Component<ITabProps, any> {
    constructor(props: ITabProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentWillReceiveProps(newProps: ITabProps): void;
    onMouseDown(event: React.MouseEvent<HTMLDivElement>): void;
    render(): JSX.Element;
}
